postCreate commercial agreement version

Required capabilitycommercial_agreements.create

Request

Request URL

POST
POST /enterprise-commercial-agreements

Request Body

application/json
{
  "client_scope": {
    "kind": "all_clients"
  },
  "effective_from": "2026-05-01T10:00:00Z",
  "enterprise_ref": "enterprises/b8e2f1a0-4c3d-4e5f-9a1b-2c3d4e5f6a7b",
  "metadata": null,
  "service_bindings": [
    {
      "fee_schedule": {
        "fixed": {
          "amount": "1.00",
          "currency": "USDC"
        },
        "model": "fixed"
      },
      "service_type": "conversion"
    }
  ]
}

Responses

Response

application/json
{
  "agreement": {
    "client_scope": {
      "kind": "all_clients"
    },
    "created_at": "2026-05-01T10:00:00Z",
    "effective_from": "2026-05-01T10:00:00Z",
    "effective_to": null,
    "enterprise_ref": "enterprises/b8e2f1a0-4c3d-4e5f-9a1b-2c3d4e5f6a7b",
    "id": "b8e2f1a0-4c3d-4e5f-9a1b-2c3d4e5f6a7b",
    "metadata": null,
    "service_bindings": [],
    "status": "active",
    "version": 1
  }
}

Resource created successfully.